Subject: Re: bug#72667: 31.0.50; gud-print moves the cursor after execution

From: TatriX <[email-masked]>
Date: Sat, 17 Aug 2024 16:59:21 +0200

> I think it happens in gud-refresh.

I thought that too, but at least when I edebug-it, debugger doesn't stop
in it.

It looks like it happens during one of the invocations of gud-filter
after gud-call send the data to the gdb.

Point moves when gud-marker-filter which is set to
gud-gdbmi-marker-filter is called.  Which in turns call gdbmi-bnf-output
and it seems that the point moves in gdbmi-bnf-out-of-band-record.

The callstack is quite deep and there are a lot of loops, so I wasn't
able to pin point a specific piece of code that actually moves the point
yet.